val toplevel: bool ref
val verbose: bool ref

val enter_global_value : Ident.id -> Value.t -> Types.descr -> unit
val script   : Format.formatter -> Format.formatter -> char Stream.t -> bool
val topinput : Format.formatter -> Format.formatter -> char Stream.t -> bool

val dump_env : Format.formatter -> unit

val compile: string -> string option -> unit
val compile_run: string -> Value.t -> unit
val run: string -> Value.t -> unit
