exception InconsistentCrc of Types.CompUnit.t
exception Loop of Types.CompUnit.t
exception InvalidObject of string
exception CannotOpen of string
exception NoImplementation of Types.CompUnit.t

val obj_path: string list ref

val compile: bool -> Types.CompUnit.t -> string -> unit
val run:  Value.t -> Types.CompUnit.t -> unit
val import: Types.CompUnit.t -> unit
val save: Types.CompUnit.t -> string -> unit

