open Value
open Ident
open Lambda

val eval_unary_op: (int -> (t -> t)) ref
val eval_binary_op : (int -> (t -> t -> t)) ref

val from_comp_unit: (Types.CompUnit.t -> int -> t) ref
val dump: Format.formatter -> unit
val push: Value.t -> unit
val var: var_loc -> t
val eval: code_item -> unit
val expr: code_item -> t
val eval_apply: t -> t -> t
val comp_unit: t list -> code_item list -> t array

val stack: t array ref
